Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 201802-06 ] LibreOffice
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Advocate
Advocate


Joined: 12 May 2004
Posts: 2095

PostPosted: Tue Feb 20, 2018 4:26 am    Post subject: [ GLSA 201802-06 ] LibreOffice Reply with quote

Gentoo Linux Security Advisory

Title: LibreOffice: Information disclosure (GLSA 201802-06)
Severity: normal
Exploitable: remote
Date: 2018-02-20
Bug(s): #647186
ID: 201802-06

Synopsis

A vulnerability in LibreOffice might allow remote attackers to read
arbitrary files.


Background

LibreOffice is a powerful office suite; its clean interface and powerful
tools let you unleash your creativity and grow your productivity.


Affected Packages

Package: app-office/libreoffice
Vulnerable: < 5.4.5.1
Unaffected: >= 5.4.5.1
Architectures: All supported architectures

Package: app-office/libreoffice-bin
Vulnerable: < 5.4.5.1
Unaffected: >= 5.4.5.1
Architectures: All supported architectures


Description

It was discovered that missing restrictions in the implementation of the
WEBSERVICE function in LibreOffice could result in the disclosure of
arbitrary files.


Impact

A remote attacker could entice a user to open a specially crafted
document using LibreOffice, possibly resulting in the disclosure of
arbitrary files readable by the victim.


Workaround

There is no known workaround at this time.

Resolution

All LibreOffice users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=app-office/libreoffice-5.4.5.1"
   
All LibreOffice binary users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose
      ">=app-office/libreoffice-bin-5.4.5.1"
   


References

CVE-2018-6871
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum